## Add transactional emails to a JavaScript web app (React, Express) with AWS SES
This folder contains the starting code for our tutorial on how to add transactional emails to a JavaScript web app (React, Express) with AWS SES. In the tutorial, you integrate an app with AWS SES to send a welcome email to a guest user.

- [link to tutorial](https://codeburst.io/add-transactional-emails-to-a-javascript-web-app-react-express-9fa1ff2e40e0?gi=8fc42ff4008d). 
- [link to deployed app](https://aws-ses.builderbook.org/send-email)


## Run locally
- Clone the builderbook repo to your local machine: `git clone git@github.com:builderbook/builderbook.git`
- Inside the `tutorials/2-start` folder, run `yarn` to add packages
- Start the app with `yarn dev`


## Project structure

```
.
├── components                  # React components
│   ├── Header.js               # Header component
│   ├── SharedStyles.js         # List of _reusable_ styles
├── lib                         # Code available on both client and server
│   ├── context.js              # Context for Material-UI integration
│   ├── withLayout.js           # HOC for SSR with Material-UI and more
├── pages                       # Pages
│   ├── _document.js            # Main Document for Next.js pages
│   ├── login.js                # Login page
│   ├── index.js                # Dashboard page
├── server                      # Server code
│   ├── app.js                  # Custom Express/Next server
├── .babelrc                    # Config for Babel
├── .eslintrc.js                # Config for Eslint
├── .gitignore                  # List of ignored files and directories
├── package.json                # List of packages and scripts
├── yarn.lock                   # Exact versions of packages. Generated by yarn.

```
